Name:		merkaartor
Version:	0.18.1
Release:	%mkrel 2
License:	GPLv2+
URL:		http://www.merkaartor.be
BuildRequires:	qt4-devel >= 4.4
BuildRequires:	qt4-linguist
BuildRequires:	gdal-devel
BuildRequires:	pkgconfig(exiv2)
BuildRequires:  qtwebkit-devel
Source:		http://www.merkaartor.org/downloads/source/%{name}-%{version}.tar.bz2
Patch0:		merkaartor-0.14-strfmt.patch
Group:		Sciences/Other
Summary:	Openstreetmap mapping program

%description
Merkaartor is an openstreetmap (http://www.openstreetmap.org) mapping
program. Merkaartor focuses on providing a visually pleasing but
performant editing environment for free geographical data.

%prep
%setup -q
#%patch0 -p1 -b .fmtstr

%build
lrelease Merkaartor.pro
%qmake_qt4 \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir} \
	TRANSDIR_MERKAARTOR=%_datadir/merkaartor/translations \
	TRANSDIR_SYSTEM=%qt4dir/translations \
	GDAL=1
%make

%install
rm -rf %buildroot
make install INSTALL_ROOT=%buildroot

mkdir -p %buildroot%_datadir/applications
cat >%buildroot%_datadir/applications/%_real_vendor-%name.desktop <<EOF
[Desktop Entry]
Name=merkaartor
Comment=Openstreetmap client
Exec=%_bindir/%name
Icon=geosciences_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Geoscience;Qt;Science;
EOF

%files
%{_bindir}/*
%_datadir/%name
%_datadir/applications/*.desktop
%{_libdir}/%{name}/plugins/background/*.so
%{_libdir}/%{name}/plugins/styles/libskulpture.so
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.18.1-2.mga3
+ Revision: 359972
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 matteo <matteo> 0.18.1-1.mga3
+ Revision: 337618
- url fixed
- new version
- spec cleanup

  + nanardon <nanardon>
    - 0.17.2

* Sun Dec 25 2011 nanardon <nanardon> 0.15.3-2.mga2
+ Revision: 187542
- imported package merkaartor

